/** Création et exportation de la classe Header */
export default class Header {
    constructor(element) {
      this.element = element;
      this.html = document.documentElement;

      this.init();
    }
  
    /**
     * Méthode d'initialisation
     */
    init() {
        const toggle = this.element.querySelector('.js-toggle');
      toggle.addEventListener('click', this.onToggleNav.bind(this));
  
    }
    onToggleNav() {
        // Enlever la classe .is-scrolling-down pour éviter les bugs si l'on fait défiler la page jsute après l'ouverture du menu
        this.html.classList.toggle('nav-is-active');
      }
  
  }